# Downloads_Downloads

Get a list of paths for downloadable files for a specific run.

`GET /v1/companies/{company}/Runs/{runId}/downloads`

**API:** Avalara Tax Content - Job and Data Management Service
**Tag:** Downloads
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/jobs
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/avalara-tax-content/api/jms/methods/Downloads/Downloads_Downloads/

## Description

If you have a `company` and an `runId`, you can use this api to get a list of all files that are available for that run.

For example if you get this in the response

{"tte": { "full": "/tte", "delta": "/tte-delta" }} 

you can add the path 
* GET /v1/companies/{company}/Runs/{runId}/downloads/tte -> downloads the full TTE file.
* GET /v1/companies/{company}/Runs/{runId}/downloads/tte-delta -> downloads the delta TTE file.

 You can also use the ATC Jobs api to get a list of recent run ids and their statuses.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `runId` | string | path | Yes | Run ID. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.Common.Models.Downloads` |
| 204 | No Content |  |
| 400 | Bad Request | `Avalara.POS.API.Common.Controllers.Models.ErrorResponse` |
| 401 | Unauthorized | `Avalara.POS.API.Common.Controllers.Models.ErrorResponse` |
| 404 | Not Found | `Avalara.POS.API.Common.Controllers.Models.ErrorResponse` |

### 200 Response: `Avalara.POS.API.Common.Models.Downloads`

| Property | Type | Required | Description |
|---|---|---|---|
| `dtt` | Avalara.POS.API.Common.Models.Dtt | No |  |
| `tte` | Avalara.POS.API.Common.Models.Tte | No |  |
| `atcAptos` | Avalara.POS.API.Common.Models.AtcAptos | No |  |
| `tteLodging` | Avalara.POS.API.Common.Models.TteLodging | No |  |
| `tteAutoRental` | Avalara.POS.API.Common.Models.TteAutoRental | No |  |
| `tteSpecial` | Avalara.POS.API.Common.Models.TteSpecial | No |  |
| `dttMulti` | Avalara.POS.API.Common.Models.DttMulti | No |  |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/jobs/v1/companies/{company}/Runs/{runId}/downloads" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```